# M12 - Reply to a thread

DescriptionMaximum of 1000 messages on a thread
Call FrequencyRecommended usage: Synchronous only - At each thread answerMaximum usage: Synchronous only - At each thread answerRead MoreMore context (Products Marketplace)More context (Services Marketplace)

Endpoint: POST /api/inbox/threads/{thread_id}/message
Security: Front-Bearer-Token, OAuth-2

## Security:

  - `Front-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Path parameters:

  - `thread_id` (string, required)
    The ID of the thread to reply to.

## Request fields (multipart/form-data):

  - `files` (array)
    List of attachments for the messageMaximum 50 across all threads of the same entity.For example, for a given order, you can not have more than 50 attachments across all its threads.

  - `message_input` (object, required)

  - `message_input.body` (string, required)
    Message body

  - `message_input.to` (array, required)
    List of recipients of the message

  - `message_input.to.id` (string)
    Participant id

  - `message_input.to.type` (string, required)
    Participant type
Enum: `"OPERATOR"`, `"SHOP"`, `"CUSTOMER"`

  - `message_input.topic` (object)
    New topic for the thread. Leave empty if you don't want to update it.

  - `message_input.topic.type` (string)
    Enum: `"FREE_TEXT"`, `"REASON_CODE"`
    Enum: "FREE_TEXT", "REASON_CODE"

  - `message_input.topic.value` (string)

## Request examples:

  - `Complete example with value types (multipart/form-data)` (unknown)

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `message_id` (string)
    Id of the message

  - `thread_id` (string)
    Id of the thread

## Response 201 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

